--- app/theme_provider.h
+++ app/theme_provider.h
@@ -10,7 +10,7 @@
 #include "base/basictypes.h"
 #include "third_party/skia/include/core/SkColor.h"
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include <gdk/gdk.h>
 #elif defined(OS_MACOSX)
 #ifdef __OBJC__
@@ -65,7 +65,7 @@ class ThemeProvider {
   // vector. Returns NULL on error.
   virtual RefCountedMemory* GetRawData(int id) const = 0;
 
-#if defined(OS_LINUX) && !defined(TOOLKIT_VIEWS)
+#if defined(USE_X11) && !defined(TOOLKIT_VIEWS)
   // Gets the GdkPixbuf with the specified |id|.  Returns a pointer to a shared
   // instance of the GdkPixbuf.  This shared GdkPixbuf is owned by the theme
   // provider and should not be freed.
diff --git base/base.gyp base/base.gyp
index 51aa6c8..230658a 100644
