--- chrome/browser/browser_theme_provider.h
+++ chrome/browser/browser_theme_provider.h
@@ -163,7 +163,7 @@ class BrowserThemeProvider : public NonThreadSafe,
   virtual bool ShouldUseNativeFrame() const;
   virtual bool HasCustomImage(int id) const;
   virtual RefCountedMemory* GetRawData(int id) const;
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   virtual GdkPixbuf* GetPixbufNamed(int id) const;
   virtual GdkPixbuf* GetRTLEnabledPixbufNamed(int id) const;
 #elif defined(OS_MACOSX)
@@ -345,7 +345,7 @@ class BrowserThemeProvider : public NonThreadSafe,
   // Do we have a custom frame image or custom tints?
   bool ShouldTintFrames() const;
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   // Loads an image and flips it horizontally if |rtl_enabled| is true.
   GdkPixbuf* GetPixbufImpl(int id, bool rtl_enabled) const;
 #endif
@@ -358,7 +358,7 @@ class BrowserThemeProvider : public NonThreadSafe,
   // access to the cache.
   mutable ImageCache themed_image_cache_;
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   typedef std::map<int, GdkPixbuf*> GdkPixbufMap;
   mutable GdkPixbufMap gdk_pixbufs_;
 #elif defined(OS_MACOSX)
diff --git chrome/browser/browser_theme_provider_gtk.cc chrome/browser/browser_theme_provider_gtk.cc
index 3269c15..29ed926 100644
