--- chrome/common/render_messages_internal.h
+++ chrome/common/render_messages_internal.h
@@ -1226,7 +1226,7 @@ IPC_BEGIN_MESSAGES(ViewHost)
                               base::ProcessHandle /* NaCl process handle */,
                               base::ProcessId /* NaCl process id */)
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   // A renderer sends this when it needs a browser-side widget for
   // hosting a windowed plugin. id is the XID of the plugin window, for which
   // the container is created.
@@ -1569,7 +1569,7 @@ IPC_BEGIN_MESSAGES(ViewHost)
                              base::SharedMemoryHandle /* browser handle */)
 #endif
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   // Asks the browser create a temporary file for the renderer to fill
   // in resulting NativeMetafile in printing.
   IPC_SYNC_MESSAGE_CONTROL0_2(ViewHostMsg_AllocateTempFileForPrinting,
diff --git chrome/common/transport_dib_linux.cc chrome/common/transport_dib_linux.cc
index d3ffe69..1ae5973 100644
