--- webkit/tools/test_shell/webview_host.h
+++ webkit/tools/test_shell/webview_host.h
@@ -11,7 +11,7 @@
 #include "base/basictypes.h"
 #include "base/gfx/rect.h"
 #include "webkit/tools/test_shell/webwidget_host.h"
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include "webkit/glue/plugins/gtk_plugin_container_manager.h"
 #endif
 
@@ -34,7 +34,7 @@ class WebViewHost : public WebWidgetHost {
 
   WebKit::WebView* webview() const;
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   // Create a new plugin parent container for a given plugin XID.
   void CreatePluginContainer(gfx::PluginWindowHandle id);
 
@@ -55,7 +55,7 @@ class WebViewHost : public WebWidgetHost {
   }
 #endif
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   // Helper class that creates and moves plugin containers.
   GtkPluginContainerManager plugin_container_manager_;
 #endif
diff --git webkit/tools/test_shell/webwidget_host.h webkit/tools/test_shell/webwidget_host.h
index b899f96..f267a73 100644
