--- chrome/browser/browser_process_impl.h
+++ chrome/browser/browser_process_impl.h
@@ -73,7 +73,7 @@ class BrowserProcessImpl : public BrowserProcess, public NonThreadSafe {
     return db_thread_.get();
   }
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   virtual base::Thread* background_x11_thread() {
     DCHECK(CalledOnValidThread());
     // The BACKGROUND_X11 thread is created when the IO thread is created.
@@ -242,7 +242,7 @@ class BrowserProcessImpl : public BrowserProcess, public NonThreadSafe {
 
   bool created_io_thread_;
   scoped_ptr<base::Thread> io_thread_;
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   // This shares a created flag with the IO thread.
   scoped_ptr<base::Thread> background_x11_thread_;
 #endif
diff --git chrome/browser/browser_resources.grd chrome/browser/browser_resources.grd
index 09fb192..596ba31 100644
