--- chrome/browser/icon_loader.h
+++ chrome/browser/icon_loader.h
@@ -70,8 +70,8 @@ class IconLoader : public base::RefCountedThreadSafe<IconLoader> {
 
   Delegate* delegate_;
 
-#if defined(OS_LINUX)
-  // On Linux we use gdk's pixbuf loader, which has to execute on the UI
+#if defined(USE_X11)
+  // On X/11 systems we use gdk's pixbuf loader, which has to execute on the UI
   // thread, so we only read the file on the background thread and parse it
   // on the main thread.
   void ParseIcon();
diff --git chrome/browser/importer/firefox_profile_lock.cc chrome/browser/importer/firefox_profile_lock.cc
index 4503d64..d146793 100644
