--- chrome/browser/renderer_host/resource_message_filter.h
+++ chrome/browser/renderer_host/resource_message_filter.h
@@ -60,7 +60,7 @@ struct WebScreenInfo;
 
 struct ViewHostMsg_ScriptedPrint_Params;
 struct ViewMsg_OpenFileForPluginResponse_Params;
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
 struct ViewHostMsg_DidPrintPage_Params;
 #endif
 
@@ -233,7 +233,7 @@ class ResourceMessageFilter : public IPC::ChannelProxy::MessageFilter,
                           base::SharedMemoryHandle* browser_handle);
 #endif
 
-#if defined(OS_LINUX)
+#if defined(OS_NIX)
   // Used to ask the browser allocate a temporary file for the renderer
   // to fill in resulting PDF in renderer.
   void OnAllocateTempFileForPrinting(IPC::Message* reply_msg);
@@ -302,7 +302,7 @@ class ResourceMessageFilter : public IPC::ChannelProxy::MessageFilter,
                 const GURL& url, std::string* signed_public_key);
   void OnOpenFileForPlugin(const FilePath& file_path,
                            ViewMsg_OpenFileForPluginResponse_Params* result);
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   void SendDelayedReply(IPC::Message* reply_msg);
   void DoOnGetScreenInfo(gfx::NativeViewId view, IPC::Message* reply_msg);
   void DoOnGetWindowRect(gfx::NativeViewId view, IPC::Message* reply_msg);
diff --git chrome/browser/renderer_host/test/test_render_view_host.h chrome/browser/renderer_host/test/test_render_view_host.h
index cc58d37..5eff4b7 100644
