--- chrome/browser/shell_integration.h
+++ chrome/browser/shell_integration.h
@@ -12,7 +12,7 @@
 #include "base/string16.h"
 #include "googleurl/src/gurl.h"
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
 #include "third_party/skia/include/core/SkBitmap.h"
 #endif
 
@@ -44,7 +44,7 @@ class ShellIntegration {
   // user. This method is very fast so it can be invoked in the UI thread.
   static bool IsFirefoxDefaultBrowser();
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   // Returns filename for .desktop file based on |url|, sanitized for security.
   static FilePath GetDesktopShortcutFilename(const GURL& url);
 
@@ -68,7 +68,7 @@ class ShellIntegration {
   // returning from this function, because actual file operation is done on the
   // file thread.
   static void CreateDesktopShortcut(const ShortcutInfo& shortcut_info);
-#endif  // defined(OS_LINUX)
+#endif  // defined(USE_X11)
 
   // The current default browser UI state
   enum DefaultBrowserUIState {
diff --git chrome/browser/shell_integration_linux.cc chrome/browser/shell_integration_linux.cc
index 3766249..2babbae 100644
