--- chrome/browser/shell_integration_linux.cc
+++ chrome/browser/shell_integration_linux.cc
@@ -195,7 +195,7 @@ class CreateDesktopShortcutTask : public Task {
     FilePath desktop_path;
     if (!PathService::Get(chrome::DIR_USER_DESKTOP, &desktop_path))
       return;
-
+#if !defined(OS_FREEBSD)
     int desktop_fd = open(desktop_path.value().c_str(), O_RDONLY | O_DIRECTORY);
     if (desktop_fd < 0)
       return;
@@ -221,6 +221,7 @@ class CreateDesktopShortcutTask : public Task {
     }
 
     HANDLE_EINTR(close(desktop_fd));
+#endif //defined(OS_FREEBSD)
   }
 
   void CreateInApplicationsMenu(const FilePath& shortcut_filename,
diff --git chrome/browser/shell_integration_unittest.cc chrome/browser/shell_integration_unittest.cc
index 6352d5a..633d8f0 100644
