--- chrome/browser/views/info_bubble.h
+++ chrome/browser/views/info_bubble.h
@@ -9,7 +9,7 @@
 
 #if defined(OS_WIN)
 #include "views/widget/widget_win.h"
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
 #include "views/widget/widget_gtk.h"
 #endif
 
@@ -88,7 +88,7 @@ class InfoBubbleDelegate {
 class InfoBubble
 #if defined(OS_WIN)
     : public views::WidgetWin,
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
     : public views::WidgetGtk,
 #endif
       public views::AcceleratorTarget {
@@ -128,7 +128,7 @@ class InfoBubble
 #if defined(OS_WIN)
   // Overridden from WidgetWin:
   virtual void OnActivate(UINT action, BOOL minimized, HWND window);
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   // Overridden from WidgetGtk:
   virtual void IsActiveChanged();
 #endif
diff --git chrome/browser/views/location_bar_view.cc chrome/browser/views/location_bar_view.cc
index f0931e4..9a8155f 100644
