--- chrome/browser/views/tabs/dragged_tab_view.h
+++ chrome/browser/views/tabs/dragged_tab_view.h
@@ -16,7 +16,7 @@
 namespace views {
 #if defined(OS_WIN)
 class WidgetWin;
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
 class WidgetGtk;
 #endif
 }
@@ -105,7 +105,7 @@ class DraggedTabView : public views::View,
   // The window that contains the DraggedTabView.
 #if defined(OS_WIN)
   scoped_ptr<views::WidgetWin> container_;
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   scoped_ptr<views::WidgetGtk> container_;
 #endif
 
diff --git chrome/browser/views/tabs/tab_strip.cc chrome/browser/views/tabs/tab_strip.cc
index ef64c48..8a5d5c2 100644
