--- chrome/common/native_web_keyboard_event.h
+++ chrome/common/native_web_keyboard_event.h
@@ -16,7 +16,7 @@
 #else
 class NSEvent;
 #endif  // __OBJC__
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
 #include <gdk/gdk.h>
 #endif
 
@@ -32,7 +32,7 @@ struct NativeWebKeyboardEvent : public WebKit::WebKeyboardEvent {
   NativeWebKeyboardEvent(wchar_t character,
                          int state,
                          double time_stamp_seconds);
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   explicit NativeWebKeyboardEvent(const GdkEventKey* event);
   NativeWebKeyboardEvent(wchar_t character,
                          int state,
@@ -54,7 +54,7 @@ struct NativeWebKeyboardEvent : public WebKit::WebKeyboardEvent {
   // active and is necessary to prevent backspace from doing "history back" if
   // it is hit in ime mode.
   bool skip_in_browser;
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
   GdkEventKey* os_event;
 #endif
 };
diff --git chrome/common/plugin_messages_internal.h chrome/common/plugin_messages_internal.h
index f9a5bbf..e1e36a5 100644
