--- net/base/ev_root_ca_metadata.h
+++ net/base/ev_root_ca_metadata.h
@@ -7,7 +7,7 @@
 
 #include "build/build_config.h"
 
-#if defined(OS_LINUX)
+#if defined(USE_NSS)
 #include <secoidt.h>
 #endif
 
@@ -25,7 +25,7 @@ namespace net {
 // extended-validation (EV) certificates.
 class EVRootCAMetadata {
  public:
-#if defined(OS_LINUX)
+#if defined(USE_NSS)
   typedef SECOidTag PolicyOID;
 #else
   typedef const char* PolicyOID;
diff --git net/base/host_resolver_impl.cc net/base/host_resolver_impl.cc
index 15ab7e8..8f13316 100644
