--- net/base/x509_certificate.h
+++ net/base/x509_certificate.h
@@ -22,7 +22,7 @@
 #include <wincrypt.h>
 #elif defined(OS_MACOSX)
 #include <Security/Security.h>
-#elif defined(OS_LINUX)
+#elif defined(USE_NSS)
 // Forward declaration; real one in <cert.h>
 struct CERTCertificateStr;
 #endif
@@ -65,7 +65,7 @@ class X509Certificate : public base::RefCountedThreadSafe<X509Certificate> {
   typedef PCCERT_CONTEXT OSCertHandle;
 #elif defined(OS_MACOSX)
   typedef SecCertificateRef OSCertHandle;
-#elif defined(OS_LINUX)
+#elif defined(USE_NSS)
   typedef struct CERTCertificateStr* OSCertHandle;
 #else
   // TODO(ericroman): not implemented
diff --git net/http/des.cc net/http/des.cc
index 0f89029..5cdd103 100644
