--- net/socket/client_socket.h
+++ net/socket/client_socket.h
@@ -7,7 +7,7 @@
 
 #include "build/build_config.h"
 
-#if defined(OS_LINUX) || defined(OS_MACOSX)
+#if defined(OS_POSIX)
 #include <sys/socket.h>
 #endif
 
@@ -53,7 +53,7 @@ class ClientSocket : public Socket {
   // have been received.
   virtual bool IsConnectedAndIdle() const = 0;
 
-#if defined(OS_LINUX) || defined(OS_MACOSX)
+#if defined(OS_POSIX)
   // Identical to posix system call getpeername().
   // Needed by ssl_client_socket_nss and ssl_client_socket_mac.
   virtual int GetPeerName(struct sockaddr* name, socklen_t* namelen);
diff --git net/socket/client_socket_factory.cc net/socket/client_socket_factory.cc
index fe2ce10..9458381 100644
