--- v8/tools/gyp/v8.gyp.orig	2009-10-17 10:10:12.000000000 +0100
+++ v8/tools/gyp/v8.gyp	2009-11-18 13:12:07.000000000 +0000
@@ -483,6 +483,20 @@
             ],
           }
         ],
+        ['OS=="freebsd"', {
+            'link_settings': {
+              'libraries': [
+                '-L/usr/local/lib -lexecinfo',
+            ]},
+            'include_dirs': [
+                '/usr/local/include',
+            ],
+            'sources': [
+              '../../src/platform-freebsd.cc',
+              '../../src/platform-posix.cc'
+            ],
+          }
+        ],
         ['OS=="mac"', {
           'sources': [
             '../../src/platform-macos.cc',
