--- webkit/tools/test_shell/webwidget_host.h
+++ webkit/tools/test_shell/webwidget_host.h
@@ -92,7 +92,7 @@ class WebWidgetHost {
   void KeyEvent(NSEvent *);
   void SetFocus(bool enable);
  protected:
-#elif defined(OS_LINUX)
+#elif defined(USE_X11)
  public:
   // ---------------------------------------------------------------------------
   // This is needed on Linux because the GtkWidget creation is the same between
@@ -138,7 +138,7 @@ class WebWidgetHost {
   bool track_mouse_leave_;
 #endif
 
-#if defined(OS_LINUX)
+#if defined(USE_X11)
   // Since GtkWindow resize is asynchronous, we have to stash the dimensions,
   // so that the backing store doesn't have to wait for sizing to take place.
   gfx::Size logical_size_;
